## org.eclipse.datatools.sqltools.routineeditor.ui.util
Class RoutineUIUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.ui.util.RoutineUIUtil

    public class RoutineUIUtil

extends java.lang.Object

Constructor Summary
`RoutineUIUtil()`

Method Summary
`static void` `closeEditor(org.eclipse.datatools.sqltools.core.ProcIdentifier proc)` Closes all the editors which are editing the procedural object identified by the given ProcIdentifier.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutineUIUtil

    public RoutineUIUtil()

Method Detail

### closeEditor

    public static void closeEditor(org.eclipse.datatools.sqltools.core.ProcIdentifier proc)

  Closes all the editors which are editing the procedural object identified by the given ProcIdentifier. We will need to close all those editors for the same procedural objects that are opened by different profiles. For example a stored proc "myProc" can be opened by profile1 & profile2, we should close both the editor window when user drops "myProc". During the close process, the editor won't be saved.

  Parameters:
    `databaseIdentifier` -
    `dbObjectName` -
    `dbObjectType` -